Installer.com Docs
POST
/api/v1/order/{orderId}/cancel

Authorization

Bearer
headerAuthorizationBearer <token>

Installer.com auth token

Path Parameters

orderId*string
Formatuuid

Request Body

Cancel order payload

application/json
  1. body
cancelReason*CancelOrderActionReason
Value in"CUSTOMER_NON_RESPONSIVE""CUSTOMER_REJECTED_OFFER_OR_COSTS""CUSTOMER_CHOSE_OTHER_INSTALLER""CUSTOMER_NOT_INTERESTED""NO_CAPACITY""INTERNAL_CONSTRAINTS""OUTSIDE_COVERAGE_AREA""PRODUCT_OR_MATERIAL_ISSUES""UNINSTALLABLE_OR_NOT_FEASIBLE""OTHER""INCORRECT_INFORMATION"
comment?string

Response Body

Order cancelled

Example Request
curl -X POST 'https://api.installer.com/api/v1/order/497f6eca-6276-4993-bfeb-53cbbbba6f08/cancel' \  -H 'Content-Type: application/json' \  -d '{  "cancelReason": "CUSTOMER_NON_RESPONSIVE"}'
Example Response
Empty